Subject: Re: pull-request: bpf-next 2024-04-29

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 Apr 2024 06:45:08 -0700

On Tue, 30 Apr 2024 10:16:33 +0200 Magnus Karlsson wrote:
> > Could you follow up to remove this header?
> > Having to keep multiple headers in sync is annoying, and using
> > 'make headers' or including in-tree headers directly is not rocket
> > science.  
> 
> Just because I am curious, what was the reason/history behind the
> tools/include directory to start with? Most headers seem to be copies
> there.

I think it started as folks copying a handful of headers for perf tool
and snowballed from there. By the time I pulled this the copy of
ethtool.h was already out of date. So is if_xdp.h, BTW, as I am
reminded every time I built networking selftests.